# Uses of Class
io.dapr.actors.client.ActorClient

Packages that use ActorClient
Package
Description
io.dapr.actors.client

## Uses of ActorClient in io.dapr.actors.client

Constructors in io.dapr.actors.client with parameters of type ActorClient
Modifier
Constructor
Description
``
`ActorProxyBuilder(Class<T> actorTypeClass, ActorClient actorClient)`
Instantiates a new builder for a given Actor type, using `DefaultObjectSerializer` by default.
``
`ActorProxyBuilder(String actorType, Class<T> actorTypeClass, ActorClient actorClient)`
Instantiates a new builder for a given Actor type, using `DefaultObjectSerializer` by default.